/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package deviceorderitem

import (
	e "simrs-vx/internal/domain/main-entities/device-order-item"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.DeviceOrderItem) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.DeviceOrder_Id = inputSrc.DeviceOrder_Id
	data.Device_Code = inputSrc.Device_Code
	data.Quantity = inputSrc.Quantity
}
